Name:       la-libbluray
Version:    1.3.0
Release:    1%{?dist}
Summary:    libbluray
Group:      System Environment/Libraries
License:    LGPLv2+
URL:        http://www.videolan.org/developers/libbluray.html
%undefine   _disable_source_fetch
Source0:    https://code.videolan.org/videolan/libbluray/-/archive/1.3.0/libbluray-%{version}.tar.gz
Packager: 	%packager
BuildRequires: libxml2-devel, freetype-devel, fontconfig-devel, ant, libudfread-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: gcc, libgcc, glibc-devel, zlib-devel, gcc-c++, make
%define debug_package %nil

%description
This package is aiming to provide a full portable free open source bluray
library, which can be plugged into popular media players to allow full bluray
navigation and playback on Linux. It will eventually be compatible with all
current titles, and will be easily portable and embeddable in standard players
such as mplayer and vlc.

%prep

%setup -q -n libbluray-%{version}

%build
autoreconf -fi
./configure --prefix=%{_prefix} --bindir=%{_bindir} --libdir=%{_libdir} \
   --disable-examples --disable-static
make %{?_smp_mflags}
%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

#%post
#if [ $1 == 1 ];then
#       #installed
#fi

#%postun
#if [ $1 == 0 ];then
   #uninstalled   
#fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
#%license LICENSE
%doc COPYING ChangeLog README.txt
/usr/include/libbluray/bluray-version.h
/usr/include/libbluray/bluray.h
/usr/include/libbluray/clpi_data.h
/usr/include/libbluray/filesystem.h
/usr/include/libbluray/keys.h
/usr/include/libbluray/log_control.h
/usr/include/libbluray/meta_data.h
/usr/include/libbluray/overlay.h
/usr/include/libbluray/player_settings.h
/usr/lib64/libbluray.la
/usr/lib64/libbluray.so
/usr/lib64/libbluray.so.2
/usr/lib64/libbluray.so.2.4.0
/usr/lib64/pkgconfig/libbluray.pc
/usr/share/java/libbluray-awt-j2se-1.3.0.jar
/usr/share/java/libbluray-j2se-1.3.0.jar